using System.Threading.Tasks;
using FarmmapsApi;
using FarmmapsApi.Services;
using FarmmapsApiSamples;
using Microsoft.Extensions.Logging;

namespace FarmmapsHerbicide
{
    public class HerbicideApplication : IApplication
    {
        private const string DownloadFolder = "Downloads";

        private readonly ILogger<HerbicideApplication> _logger;
        private readonly FarmmapsApiService _farmmapsApiService;
        private readonly HerbicideService _herbicideService;
        private readonly GeneralService _generalService;

        public HerbicideApplication(ILogger<HerbicideApplication> logger, FarmmapsApiService farmmapsApiService,
            GeneralService generalService, HerbicideService herbicideService)
        {
            _logger = logger;
            _farmmapsApiService = farmmapsApiService;
            _generalService = generalService;
            _herbicideService = herbicideService;
        }

        public async Task RunAsync()
        {
        }
    }
}